bdi4jade.extension.planselection.utilitybased

## Class AndPlanGoalDependency

- java.lang.Object
- - bdi4jade.extension.planselection.utilitybased.PlanGoalDependency
  - - bdi4jade.extension.planselection.utilitybased.AndPlanGoalDependency

-     public class AndPlanGoalDependency
      extends PlanGoalDependency

  This class represents an AND dependency between a plan and a set of goals. It means that this plan needs that all goals that it depends on must be achieved so that the plan can be completed.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.extension.planselection.utilitybased.PlanGoalDependency

      `METADATA_NAME, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndPlanGoalDependency(Plan root)`
    `AndPlanGoalDependency(Plan root, java.util.List<Goal> goals)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGoal(Goal goal)` Adds a goal to this dependency, indicating that the root plan depends on it.
    `java.util.List<Goal>` | `getGoals()` Returns the set of goals that the root plan depends on.
    `void` | `removeGoal(Goal goal)` Remove a goal from this dependency.

    - ### Methods inherited from class bdi4jade.extension.planselection.utilitybased.PlanGoalDependency

      `getRoot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndPlanGoalDependency

          public AndPlanGoalDependency(Plan root)

    - #### AndPlanGoalDependency

          public AndPlanGoalDependency(Plan root,
                                       java.util.List<Goal> goals)

  - ### Method Detail

    - #### addGoal

          public void addGoal(Goal goal)

      Adds a goal to this dependency, indicating that the root plan depends on it.
      Parameters:
        `goal` - a goal that the root plan depends on.

    - #### getGoals

          public java.util.List<Goal> getGoals()

      Returns the set of goals that the root plan depends on.
      Returns:
        the goals the goal that the root plan depends on.

    - #### removeGoal

          public void removeGoal(Goal goal)

      Remove a goal from this dependency.
      Parameters:
        `goal` - the goal to be removed.